QuickBooks Enterprise 2017 System Requirements

QuickBooks 2017 Device Specifications gives you the specifics you need to make sure your computer’s hardware, software, and operating system meet your QuickBooks Desktop 2017 version’s minimum requirements.

QuickBooks Enterprise 2017 System Requirements

QuickBooks Desktop Pro/Premier 2017 and QuickBooks Enterprise 17.0 are supported. Supported operating systems include:

  • Windows 10, including 64-bit versions, natively installed Windows 8.1 (Update 1).
  • All editions, including 64-bit, natively installed Windows 7 SP1.
  • All editions, including 64-bit, natively installed Windows Server 2012 R2.
  • Windows Server 2008 R2.

Servers for Databases: Windows: natively installed Windows Server 2012, Windows Server 2008 R2, Windows 10, Windows 8.1 (update 1), or Windows 7 SP1 (Enterprise and Technical versions only).

Please note that Windows Home Server 2011 Edition isn’t supported.

When installing QBES Database Server-only on Linux, use OpenSuse 42.1, Fedora 23, or Red Hat 7. (Update 2)

Please note that “Natively mounted” refers to the fact that it was installed on a specific device or environment for which it was developed. This also means it doesn’t need virtualisation or emulation software to run. requirements for hardware and operating system (client and server)

  • Processor with a minimum clock speed of 2.4 GHz and a minimum of 4 GB RAM, with a maximum of 8 GB RAM. 
  • Server RAM Recommendation:
      • 0-5 requirements 8GB RAM for users
      • ten plus 12 GB RAM for users
      • 15 and up 16 GB RAM for users
      • a group of 20 or more people RAM of at least 20 GB
  • For CD instals, a 4x DVD-ROM drive is needed (unless the user is downloading QuickBooks from Intuit server).
  • The display is designed for a screen resolution of 1280 x 1024 or higher with up to two Extended monitors.
  • Best suited for a computer’s default DPI environment.
  • Access to the internet is needed.
  • Version:
      • Windows in the United States
      • Only Administrator Rights are required for the server computer when hosting Multi-User Access when set to English (United States) with the keyboard set to the U.S.
      • Installed by design

Please note that Natively installed refers to the fact that it was installed on a specific device or environment for which it was designed. This also means it doesn’t need virtualisation or emulation software to run.

QuickBooks enterprise 2017 system requirements

  • 2.5 GB of hard drive space is available (additional space required for data files)
  • Additional software: Microsoft.NET Application 60 MB On the QuickBooks CD, you’ll find the 4.6 Runtime.
  • Intuit Data Protect in QuickBooks Connected Services has additional specifications.
      • A minimum of 4.0 GB RAM is required.
      • Double the most extensive file collection to back up + 100MB or twice the size to restore. Only the space from the work folder LocalApplicationData+” Intuit Data Protect” is needed.

Please note that using an SSD to store the massive QBW data file can significantly improve performance and is recommended.

Software compatibility & Firewall and antivirus software compatibility

QuickBooks 2017 will link to a wide range of third-party applications. QuickBooks comes with the following integrations; more RAM would make these features more useful. For the most up-to-date list, go to Intuit Marketplace.

  • Microsoft Office 2016 (including Outlook 2016) is available in 32-bit and 64-bit versions. Office 2010 and Office 2013/365 (including Outlook 2010 and Outlook 2013) are public in 32-bit and 64-bit versions.

Please note that only the locally installed Office 365 is supported; the online version is not.

  • Microsoft Word 2016, 2013, 2010, or Office 365 are required for letter writing.
  • Microsoft Excel 2016, 2013, 2010, or Office 365 are needed to export reports.
  • Microsoft Outlook 2010 is required for contact synchronisation (32 bit)
  • QuickBooks Contact Sync for Outlook is needed for synchronisation with Outlook (the download is available at no charge).
  • The Microsoft Business Contact Manager Outlook plug-in does not allow Contact Sync. Duplicate records can be generated if sync is done.
  • Thunderbird is a free email client from Mozilla.
  • V12.0, V11.0, and V10.0 of QuickBooks Point of Sale
  • Adobe Acrobat Reader: To use Business Planner and display forms, you’ll need Adobe Acrobat Reader 5.0 or later.
  • Payroll and other online features and facilities necessitate a link speed of at least 56 Kbps (DSL or cable modem recommended).
  • 2015 and 2014 TurboTax (Personal and Business)
  • Lacerte Pro-Series tax years 2015 and 2014 Lacerte Pro-Series tax years 2015 and 2014
  • 2016 QuickBooks for Mac
  • E-mail clients that support SMTP include Gmail, Yahoo Email, Outlook, and others.
  • Internet Explorer 11 is the latest version of the browser.

Writer’s Note

To end with, QuickBooks Desktop software is one phenomenal accounting software, and every computer software needs a particular space that you need in your system. I hope that this blog helps you understand the system requirements of QuickBooks Enterprise 2017. 

×

Table of Contents

Scroll to Top